Get User Interaction
Retrieves user interaction details for a workflow run. If a workflow run with ID: executionId has a user interaction request, the workflow run is suspended until a user answers the interaction request. This API call returns the user interaction parameter, which has to be filled to answer it.
workflowId
executionId
The request is successful
{
"relations": {
"startIndex": 0,
"count": 0,
"total": 0,
"link": [
{
"rel": "string",
"type": "string",
"attributes": [
{
"name": "string",
"displayName": "string",
"value": "string",
"displayValue": "string"
}
],
"href": "string"
}
]
},
"assignees": [
"string"
],
"name": "string",
"state": "string",
"id": "string",
"href": "string",
"input-parameters": [
{
"name": "string",
"type": "Example types are: SecureString, MimeAttachment, Regexp, Array/VC:VirtualMachine, boolean, string and etc.",
"description": "string",
"scope": "string",
"updated": false,
"encrypt-value": false
}
],
"group-assignees": [
"string"
],
"user-assignees": [
"string"
],
"timeout-date": "string"
}
relations
assignees
name
state
id
href
input-parameters
group-assignees
user-assignees
timeout-date
The user is not authorized
"WsUserInteraction Object"
relations
assignees
name
state
id
href
input-parameters
group-assignees
user-assignees
timeout-date
Can not find a workflow with the specified ID or the user does not have 'read' access rights for that workflow
"WsUserInteraction Object"
relations
assignees
name
state
id
href
input-parameters
group-assignees
user-assignees
timeout-date
curl -H 'Authorization: <value>' https://{api_host}/vco/api/workflows/{workflowId}/executions/{executionId}/interaction